Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Returns paginated list of movies with user reviews.
cURL
curl --request GET \ --url https://api.rewind.rest/v1/watching/reviews \ --header 'Authorization: Bearer <token>'
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}}; fetch('https://api.rewind.rest/v1/watching/reviews', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
import requests url = "https://api.rewind.rest/v1/watching/reviews" headers = {"Authorization": "Bearer <token>"} response = requests.get(url, headers=headers) print(response.text)
{ "data": [ { "movie": { "id": 50, "title": "The Great Escape", "year": 1963, "tmdb_id": 5925, "image": null }, "user_rating": 5, "review": "An absolute masterpiece of tension and camaraderie.", "review_url": "https://letterboxd.com/user/film/the-great-escape/", "watched_at": "2025-08-10T20:00:00Z", "source": "letterboxd" } ], "pagination": { "page": 1, "limit": 20, "total": 25, "total_pages": 2 } }
{ "error": "Not found", "status": 404 }
API key. Read keys (rw_live_...) access GET endpoints. Admin keys (rw_admin_...) access all endpoints.
x >= 1
1 <= x <= 100
Movie reviews
Show child attributes